epp_ContactUpdateChange (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.contact.epp_ContactUpdateChange class

### org.openrtk.idl.epp0402.contact

# Class epp_ContactUpdateChange

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.contact.epp_ContactUpdateChange`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactUpdateChange`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the contact object elements to be changed in the registry. This class can only be used when modifying a contact object. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/contact/epp_ContactUpdateChange.java,v 1.1 2003/03/21 16:35:40 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:35:40 $

See Also:
  `epp_ContactUpdateReq.setChange(epp_ContactUpdateChange)`

  ## Field Summary
  `epp_ContactNameAddress` | `m_ascii_address` The contact name and address to be associated with the contact object.
  `epp_AuthInfo` | `m_auth_info` The authorization information to be associated with the contact object.
  `String` | `m_email` The contact's e-mail address.
  `epp_ContactPhone` | `m_fax` The contact's fax number.
  `epp_ContactNameAddress` | `m_i15d_address` The contact name and address to be associated with the contact object.
  `epp_ContactPhone` | `m_voice` The contact's telephone number.

  ## Constructor Summary
  `epp_ContactUpdateChange()` Empty constructor
  `epp_ContactUpdateChange(epp_ContactNameAddress _m_ascii_address, epp_ContactNameAddress _m_i15d_address, epp_ContactPhone _m_voice, epp_ContactPhone _m_fax, String _m_email, epp_AuthInfo _m_auth_info)` The constructor with initializing variables.

  ## Method Summary
  `epp_ContactNameAddress` | `getAsciiAddress()` Accessor method for the ascii contact name and address to be associated with the contact object
  `epp_AuthInfo` | `getAuthInfo()` Accessor method for the authorization information to be associated with the contact object
  `String` | `getEmail()` Accessor method for the contact's e-mail address
  `epp_ContactPhone` | `getFax()` Accessor method for the contact's fax number
  `epp_ContactNameAddress` | `getI15dAddress()` Accessor method for the i15d contact name and address to be associated with the contact object
  `epp_ContactPhone` | `getVoice()` Accessor method for the contact's telephone number
  `void` | `setAsciiAddress(epp_ContactNameAddress value)` Accessor method for the ascii contact name and address to be associated with the contact object
  `void` | `setAuthInfo(epp_AuthInfo value)` Accessor method for the authorization information to be associated with the contact object
  `void` | `setEmail(String value)` Accessor method for the contact's e-mail address
  `void` | `setFax(String value)` Accessor method for the contact's fax number
  `void` | `setFax(epp_ContactPhone value)` Accessor method for the contact's fax number
  `void` | `setI15dAddress(epp_ContactNameAddress value)` Accessor method for the i15d contact name and address to be associated with the contact object
  `void` | `setVoice(epp_ContactPhone value)` Accessor method for the contact's telephone number
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_ascii_address

    public epp_ContactNameAddress m_ascii_address

> The contact name and address to be associated with the contact object. Content of this element must be represented in a subset of UTF-8.
> See Also:
>   `setAsciiAddress(epp_ContactNameAddress)`, `getAsciiAddress()`

### m_auth_info

    public epp_AuthInfo m_auth_info

> The authorization information to be associated with the contact object.
> See Also:
>   `setAuthInfo(epp_AuthInfo)`, `getAuthInfo()`

### m_email

    public String m_email

> The contact's e-mail address.
> See Also:
>   `setEmail(String)`, `getEmail()`

### m_fax

    public epp_ContactPhone m_fax

> The contact's fax number.
> See Also:
>   `setFax(epp_ContactPhone)`, `getFax()`

### m_i15d_address

    public epp_ContactNameAddress m_i15d_address

> The contact name and address to be associated with the contact object. Content of this element may be represented in unrestricted UTF-8.
> See Also:
>   `setI15dAddress(epp_ContactNameAddress)`, `getI15dAddress()`

### m_voice

    public epp_ContactPhone m_voice

> The contact's telephone number.
> See Also:
>   `setVoice(epp_ContactPhone)`, `getVoice()`

## Constructor Details

### epp_ContactUpdateChange

    public epp_ContactUpdateChange()

> Empty constructor

### epp_ContactUpdateChange

    public epp_ContactUpdateChange(epp_ContactNameAddress _m_ascii_address,
                                   epp_ContactNameAddress _m_i15d_address,
                                   epp_ContactPhone _m_voice,
                                   epp_ContactPhone _m_fax,
                                   String _m_email,
                                   epp_AuthInfo _m_auth_info)

> The constructor with initializing variables.
> Parameters:
>   `_m_ascii_address` - The ascii contact name and address to be associated with the contact object
>   `_m_i15d_address` - The i15d contact name and address to be associated with the contact object
>   `_m_voice` - The contact's telephone number
>   `_m_fax` - The contact's fax number
>   `_m_email` - The contact's e-mail address
>   `_m_auth_info` - The authorization information to be associated with the contact object

## Method Details

### getAsciiAddress

    public epp_ContactNameAddress getAsciiAddress()

> Accessor method for the ascii contact name and address to be associated with the contact object
> Returns:
>   The contact ascii name and address
> See Also:
>   `m_ascii_address`

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

> Accessor method for the authorization information to be associated with the contact object
> Returns:
>   The contact auth info
> See Also:
>   `m_auth_info`

### getEmail

    public String getEmail()

> Accessor method for the contact's e-mail address
> Returns:
>   The contact's e-mail address
> See Also:
>   `m_email`

### getFax

    public epp_ContactPhone getFax()

> Accessor method for the contact's fax number
> Returns:
>   The contact's fax number
> See Also:
>   `m_fax`

### getI15dAddress

    public epp_ContactNameAddress getI15dAddress()

> Accessor method for the i15d contact name and address to be associated with the contact object
> Returns:
>   The contact i15d name and address
> See Also:
>   `m_i15d_address`

### getVoice

    public epp_ContactPhone getVoice()

> Accessor method for the contact's telephone number
> Returns:
>   The contact's telephone number
> See Also:
>   `m_voice`

### setAsciiAddress

    public void setAsciiAddress(epp_ContactNameAddress value)

> Accessor method for the ascii contact name and address to be associated with the contact object
> Parameters:
>   `value` - The contact ascii name and address
> See Also:
>   `m_ascii_address`

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

> Accessor method for the authorization information to be associated with the contact object
> Parameters:
>   `value` - The contact auth info
> See Also:
>   `m_auth_info`

### setEmail

    public void setEmail(String value)

> Accessor method for the contact's e-mail address
> Parameters:
>   `value` - The contact's e-mail address
> See Also:
>   `m_email`

### setFax

    public void setFax(String value)

> Accessor method for the contact's fax number
> Parameters:
>   `value` - The contact's fax number
> See Also:
>   `m_fax`

### setFax

    public void setFax(epp_ContactPhone value)

> Accessor method for the contact's fax number
> Parameters:
>   `value` - The contact's fax number
> See Also:
>   `m_fax`

### setI15dAddress

    public void setI15dAddress(epp_ContactNameAddress value)

> Accessor method for the i15d contact name and address to be associated with the contact object
> Parameters:
>   `value` - The contact i15d name and address
> See Also:
>   `m_i15d_address`

### setVoice

    public void setVoice(epp_ContactPhone value)

> Accessor method for the contact's telephone number
> Parameters:
>   `value` - The contact's telephone number
> See Also:
>   `m_voice`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS